

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.59. status &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.3.60. suggest" href="suggest.html" />
    <link rel="prev" title="7.3.58. shutdown" href="shutdown.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/commands/status.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="suggest.html" title="7.3.60. suggest"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="shutdown.html" title="7.3.58. shutdown"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.59. </span><code class="docutils literal notranslate"><span class="pre">status</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="status">
<h1><span class="section-number">7.3.59. </span><code class="docutils literal notranslate"><span class="pre">status</span></code><a class="headerlink" href="#status" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.59.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">status</span></code> returns the current status of the context that processes
the request.</p>
<p>Context is an unit that processes requests. Normally, context is
created for each thread.</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.59.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<p>This command takes no parameters:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>status
</pre></div>
</div>
</div>
<div class="section" id="usage">
<span id="status-usage"></span><h2><span class="section-number">7.3.59.3. </span>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h2>
<p>Here is a simple example:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>status
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   {
#     &quot;uptime&quot;: 1,
#     &quot;max_command_version&quot;: 3,
#     &quot;start_time&quot;: 1514345928,
#     &quot;cache_hit_rate&quot;: 0.0,
#     &quot;version&quot;: &quot;7.0.9&quot;,
#     &quot;alloc_count&quot;: 13365,
#     &quot;command_version&quot;: 1,
#     &quot;starttime&quot;: 1514345928,
#     &quot;default_command_version&quot;: 1,
#     &quot;n_queries&quot;: 0
#   }
# ]
</pre></div>
</div>
<p>It returns the current status of the context that processes the
request. See <a class="reference internal" href="#status-return-value"><span class="std std-ref">Return value</span></a> for details.</p>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.59.4. </span>Parameters<a class="headerlink" href="#parameters" title="Permalink to this headline">¶</a></h2>
<p>This section describes all parameters.</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.59.4.1. </span>Required parameters<a class="headerlink" href="#required-parameters" title="Permalink to this headline">¶</a></h3>
<p>There is no required parameter.</p>
</div>
<div class="section" id="optional-parameters">
<h3><span class="section-number">7.3.59.4.2. </span>Optional parameters<a class="headerlink" href="#optional-parameters" title="Permalink to this headline">¶</a></h3>
<p>There is no optional parameter.</p>
</div>
</div>
<div class="section" id="return-value">
<span id="status-return-value"></span><h2><span class="section-number">7.3.59.5. </span>Return value<a class="headerlink" href="#return-value" title="Permalink to this headline">¶</a></h2>
<p>The command returns the current status as an object:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[
  HEADER,
  {
    &quot;alloc_count&quot;: ALLOC_COUNT,
    &quot;cache_hit_rate&quot;: CACHE_HIT_RATE,
    &quot;command_version&quot;: COMMAND_VERSION,
    &quot;default_command_version&quot;: DEFAULT_COMMAND_VERSION,
    &quot;max_command_version&quot;: MAX_COMMAND_VERSION,
    &quot;n_queries&quot;: N_QUERIES,
    &quot;start_time&quot;: START_TIME,
    &quot;starttime&quot;: STARTTIME,
    &quot;uptime&quot;: UPTIME,
    &quot;version&quot;: VERSION
  }
]
</pre></div>
</div>
<p>See <a class="reference internal" href="../command/output_format.html"><span class="doc">Output format</span></a> for <code class="docutils literal notranslate"><span class="pre">HEADER</span></code>.</p>
<p>Here are descriptions about values. See <a class="reference internal" href="#status-usage"><span class="std std-ref">Usage</span></a> for real
values:</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 33%" />
<col style="width: 33%" />
<col style="width: 33%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>Key</p></th>
<th class="head"><p>Description</p></th>
<th class="head"><p>Example</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">alloc_count</span></code></p></td>
<td><p>The number of allocated memory blocks that aren’t freed.  If
this value is continuously increased, there may be a memory
leak.</p></td>
<td><p><code class="docutils literal notranslate"><span class="pre">1400</span></code></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">cache_hit_rate</span></code></p></td>
<td><p>Percentage of cache used responses in the Groonga process. If
there are 10 requests and 7 responses are created from cache,
<code class="docutils literal notranslate"><span class="pre">cache_hit_rate</span></code> is <code class="docutils literal notranslate"><span class="pre">70.0</span></code>. The percentage is computed from
only requests that use commands that support cache.</p>
<p>Here are commands that support cache:</p>
<blockquote>
<div><ul class="simple">
<li><p><a class="reference internal" href="select.html"><span class="doc">select</span></a></p></li>
<li><p><a class="reference internal" href="logical_select.html"><span class="doc">logical_select</span></a></p></li>
<li><p><a class="reference internal" href="logical_range_filter.html"><span class="doc">logical_range_filter</span></a></p></li>
<li><p><a class="reference internal" href="logical_count.html"><span class="doc">logical_count</span></a></p></li>
</ul>
</div></blockquote>
</td>
<td><p><code class="docutils literal notranslate"><span class="pre">29.4</span></code></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">command_version</span></code></p></td>
<td><p>The <a class="reference internal" href="../command/command_version.html"><span class="doc">Command version</span></a> that is used by
the context.</p></td>
<td><p><code class="docutils literal notranslate"><span class="pre">1</span></code></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">default_command_version</span></code></p></td>
<td><p>The default <a class="reference internal" href="../command/command_version.html"><span class="doc">Command version</span></a> of the
Groonga process.</p></td>
<td><p><code class="docutils literal notranslate"><span class="pre">1</span></code></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">max_command_version</span></code></p></td>
<td><p>The max <a class="reference internal" href="../command/command_version.html"><span class="doc">Command version</span></a> of the
Groonga process.</p></td>
<td><p><code class="docutils literal notranslate"><span class="pre">2</span></code></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">n_queries</span></code></p></td>
<td><p>The number of requests processed by the Groonga process. It
counts only requests that use commands that support cache.</p>
<p>Here are commands that support cache:</p>
<blockquote>
<div><ul class="simple">
<li><p><a class="reference internal" href="select.html"><span class="doc">select</span></a></p></li>
<li><p><a class="reference internal" href="logical_select.html"><span class="doc">logical_select</span></a></p></li>
<li><p><a class="reference internal" href="logical_range_filter.html"><span class="doc">logical_range_filter</span></a></p></li>
<li><p><a class="reference internal" href="logical_count.html"><span class="doc">logical_count</span></a></p></li>
</ul>
</div></blockquote>
</td>
<td><p><code class="docutils literal notranslate"><span class="pre">29</span></code></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">start_time</span></code></p></td>
<td><div class="versionadded">
<p><span class="versionmodified added">New in version 5.0.8.</span></p>
</div>
<p>The time that the Groonga process started in UNIX time.</p>
</td>
<td><p><code class="docutils literal notranslate"><span class="pre">1441761403</span></code></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">starttime</span></code></p></td>
<td><div class="deprecated">
<p><span class="versionmodified deprecated">Deprecated since version 5.0.8: </span>Use <code class="docutils literal notranslate"><span class="pre">start_time</span></code> instead.</p>
</div>
</td>
<td><p><code class="docutils literal notranslate"><span class="pre">1441761403</span></code></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">uptime</span></code></p></td>
<td><p>The elapsed time since the Groonga process started in second.</p>
<p>For example, <code class="docutils literal notranslate"><span class="pre">216639</span></code> means that <code class="docutils literal notranslate"><span class="pre">2.5</span></code> (= <code class="docutils literal notranslate"><span class="pre">216639</span> <span class="pre">/</span> <span class="pre">60</span> <span class="pre">/</span>
<span class="pre">60</span> <span class="pre">/</span> <span class="pre">24</span> <span class="pre">=</span> <span class="pre">2.507</span></code>) days.</p>
</td>
<td><p><code class="docutils literal notranslate"><span class="pre">216639</span></code></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">version</span></code></p></td>
<td><p>The version of the Groonga process.</p></td>
<td><p><code class="docutils literal notranslate"><span class="pre">5.0.7</span></code></p></td>
</tr>
</tbody>
</table>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.59. <code class="docutils literal notranslate"><span class="pre">status</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.59.1. Summary</a></li>
<li><a class="reference internal" href="#syntax">7.3.59.2. Syntax</a></li>
<li><a class="reference internal" href="#usage">7.3.59.3. Usage</a></li>
<li><a class="reference internal" href="#parameters">7.3.59.4. Parameters</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.59.4.1. Required parameters</a></li>
<li><a class="reference internal" href="#optional-parameters">7.3.59.4.2. Optional parameters</a></li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.59.5. Return value</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="shutdown.html"
                        title="previous chapter"><span class="section-number">7.3.58. </span><code class="docutils literal notranslate"><span class="pre">shutdown</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="suggest.html"
                        title="next chapter"><span class="section-number">7.3.60. </span><code class="docutils literal notranslate"><span class="pre">suggest</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="suggest.html" title="7.3.60. suggest"
             >next</a> |</li>
        <li class="right" >
          <a href="shutdown.html" title="7.3.58. shutdown"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.59. </span><code class="docutils literal notranslate"><span class="pre">status</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>